#include <iostream>

using namespace std;
int c[200001];
int r[200001];
int main()
{
    int n;
    int ri,ci;

    cin>>n;
    for(int i=0;i<n;i++)
    {

        cin>>ri>>ci;
        r[ri-1]++;
        c[ci-1]++;
    }

    int iprazno=0,ivise=0;

    int potez=0;
    while(ivise<n)
    {
        while(ivise<n && c[ivise]<2)
            ivise++;

        while(iprazno<n && c[iprazno]>0)
            iprazno++;

        if(ivise<n &&iprazno<n )
        {
            potez+=abs(iprazno-ivise);
            c[iprazno]++;
            c[ivise]--;
        }

    }
   iprazno=0;ivise=0;

    while(ivise<n)
    {
        while(ivise<n && r[ivise]<2)
            ivise++;

        while(iprazno<n && r[iprazno]>0)
            iprazno++;

        if(ivise<n &&iprazno<n )
        {
            potez+=abs(iprazno-ivise);
            r[iprazno]++;
            r[ivise]--;
        }

    }
    cout<<potez;
    return 0;
}